// Code generated by protoc-gen-go. DO NOT EDIT.
// source: control.proto

package pb

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type ApiRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ApiRequest) Reset()         { *m = ApiRequest{} }
func (m *ApiRequest) String() string { return proto.CompactTextString(m) }
func (*ApiRequest) ProtoMessage()    {}
func (*ApiRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c5120591600887d, []int{0}
}

func (m *ApiRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ApiRequest.Unmarshal(m, b)
}
func (m *ApiRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ApiRequest.Marshal(b, m, deterministic)
}
func (m *ApiRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ApiRequest.Merge(m, src)
}
func (m *ApiRequest) XXX_Size() int {
	return xxx_messageInfo_ApiRequest.Size(m)
}
func (m *ApiRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ApiRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ApiRequest proto.InternalMessageInfo

type ApiReply struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ApiReply) Reset()         { *m = ApiReply{} }
func (m *ApiReply) String() string { return proto.CompactTextString(m) }
func (*ApiReply) ProtoMessage()    {}
func (*ApiReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c5120591600887d, []int{1}
}

func (m *ApiReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ApiReply.Unmarshal(m, b)
}
func (m *ApiReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ApiReply.Marshal(b, m, deterministic)
}
func (m *ApiReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ApiReply.Merge(m, src)
}
func (m *ApiReply) XXX_Size() int {
	return xxx_messageInfo_ApiReply.Size(m)
}
func (m *ApiReply) XXX_DiscardUnknown() {
	xxx_messageInfo_ApiReply.DiscardUnknown(m)
}

var xxx_messageInfo_ApiReply proto.InternalMessageInfo

type LicenseRequest struct {
	Service              string                         `protobuf:"bytes,2,opt,name=service,proto3" json:"service,omitempty"`
	LicenseKey           string                         `protobuf:"bytes,3,opt,name=license_key,json=licenseKey,proto3" json:"license_key,omitempty"`
	MacAddress           []string                       `protobuf:"bytes,4,rep,name=mac_address,json=macAddress,proto3" json:"mac_address,omitempty"`
	User                 *LicenseRequest_UserInfoObject `protobuf:"bytes,5,opt,name=user,proto3" json:"user,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                       `json:"-"`
	XXX_unrecognized     []byte                         `json:"-"`
	XXX_sizecache        int32                          `json:"-"`
}

func (m *LicenseRequest) Reset()         { *m = LicenseRequest{} }
func (m *LicenseRequest) String() string { return proto.CompactTextString(m) }
func (*LicenseRequest) ProtoMessage()    {}
func (*LicenseRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c5120591600887d, []int{2}
}

func (m *LicenseRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LicenseRequest.Unmarshal(m, b)
}
func (m *LicenseRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LicenseRequest.Marshal(b, m, deterministic)
}
func (m *LicenseRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LicenseRequest.Merge(m, src)
}
func (m *LicenseRequest) XXX_Size() int {
	return xxx_messageInfo_LicenseRequest.Size(m)
}
func (m *LicenseRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_LicenseRequest.DiscardUnknown(m)
}

var xxx_messageInfo_LicenseRequest proto.InternalMessageInfo

func (m *LicenseRequest) GetService() string {
	if m != nil {
		return m.Service
	}
	return ""
}

func (m *LicenseRequest) GetLicenseKey() string {
	if m != nil {
		return m.LicenseKey
	}
	return ""
}

func (m *LicenseRequest) GetMacAddress() []string {
	if m != nil {
		return m.MacAddress
	}
	return nil
}

func (m *LicenseRequest) GetUser() *LicenseRequest_UserInfoObject {
	if m != nil {
		return m.User
	}
	return nil
}

type LicenseRequest_UserInfoObject struct {
	Email                string   `protobuf:"bytes,1,opt,name=email,proto3" json:"email,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *LicenseRequest_UserInfoObject) Reset()         { *m = LicenseRequest_UserInfoObject{} }
func (m *LicenseRequest_UserInfoObject) String() string { return proto.CompactTextString(m) }
func (*LicenseRequest_UserInfoObject) ProtoMessage()    {}
func (*LicenseRequest_UserInfoObject) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c5120591600887d, []int{2, 0}
}

func (m *LicenseRequest_UserInfoObject) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LicenseRequest_UserInfoObject.Unmarshal(m, b)
}
func (m *LicenseRequest_UserInfoObject) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LicenseRequest_UserInfoObject.Marshal(b, m, deterministic)
}
func (m *LicenseRequest_UserInfoObject) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LicenseRequest_UserInfoObject.Merge(m, src)
}
func (m *LicenseRequest_UserInfoObject) XXX_Size() int {
	return xxx_messageInfo_LicenseRequest_UserInfoObject.Size(m)
}
func (m *LicenseRequest_UserInfoObject) XXX_DiscardUnknown() {
	xxx_messageInfo_LicenseRequest_UserInfoObject.DiscardUnknown(m)
}

var xxx_messageInfo_LicenseRequest_UserInfoObject proto.InternalMessageInfo

func (m *LicenseRequest_UserInfoObject) GetEmail() string {
	if m != nil {
		return m.Email
	}
	return ""
}

type LicenseReply struct {
	KeyValidation        *LicenseReply_KeyValidObject `protobuf:"bytes,10,opt,name=key_validation,json=keyValidation,proto3" json:"key_validation,omitempty"`
	Registered           bool                         `protobuf:"varint,11,opt,name=registered,proto3" json:"registered,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                     `json:"-"`
	XXX_unrecognized     []byte                       `json:"-"`
	XXX_sizecache        int32                        `json:"-"`
}

func (m *LicenseReply) Reset()         { *m = LicenseReply{} }
func (m *LicenseReply) String() string { return proto.CompactTextString(m) }
func (*LicenseReply) ProtoMessage()    {}
func (*LicenseReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c5120591600887d, []int{3}
}

func (m *LicenseReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LicenseReply.Unmarshal(m, b)
}
func (m *LicenseReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LicenseReply.Marshal(b, m, deterministic)
}
func (m *LicenseReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LicenseReply.Merge(m, src)
}
func (m *LicenseReply) XXX_Size() int {
	return xxx_messageInfo_LicenseReply.Size(m)
}
func (m *LicenseReply) XXX_DiscardUnknown() {
	xxx_messageInfo_LicenseReply.DiscardUnknown(m)
}

var xxx_messageInfo_LicenseReply proto.InternalMessageInfo

func (m *LicenseReply) GetKeyValidation() *LicenseReply_KeyValidObject {
	if m != nil {
		return m.KeyValidation
	}
	return nil
}

func (m *LicenseReply) GetRegistered() bool {
	if m != nil {
		return m.Registered
	}
	return false
}

type LicenseReply_KeyValidObject struct {
	LicenseKey           string   `protobuf:"bytes,1,opt,name=license_key,json=licenseKey,proto3" json:"license_key,omitempty"`
	Status               string   `protobuf:"bytes,3,opt,name=status,proto3" json:"status,omitempty"`
	ActiveTime           string   `protobuf:"bytes,4,opt,name=active_time,json=activeTime,proto3" json:"active_time,omitempty"`
	Validation           bool     `protobuf:"varint,5,opt,name=validation,proto3" json:"validation,omitempty"`
	RemainDay            int64    `protobuf:"varint,6,opt,name=remain_day,json=remainDay,proto3" json:"remain_day,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *LicenseReply_KeyValidObject) Reset()         { *m = LicenseReply_KeyValidObject{} }
func (m *LicenseReply_KeyValidObject) String() string { return proto.CompactTextString(m) }
func (*LicenseReply_KeyValidObject) ProtoMessage()    {}
func (*LicenseReply_KeyValidObject) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c5120591600887d, []int{3, 0}
}

func (m *LicenseReply_KeyValidObject) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LicenseReply_KeyValidObject.Unmarshal(m, b)
}
func (m *LicenseReply_KeyValidObject) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LicenseReply_KeyValidObject.Marshal(b, m, deterministic)
}
func (m *LicenseReply_KeyValidObject) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LicenseReply_KeyValidObject.Merge(m, src)
}
func (m *LicenseReply_KeyValidObject) XXX_Size() int {
	return xxx_messageInfo_LicenseReply_KeyValidObject.Size(m)
}
func (m *LicenseReply_KeyValidObject) XXX_DiscardUnknown() {
	xxx_messageInfo_LicenseReply_KeyValidObject.DiscardUnknown(m)
}

var xxx_messageInfo_LicenseReply_KeyValidObject proto.InternalMessageInfo

func (m *LicenseReply_KeyValidObject) GetLicenseKey() string {
	if m != nil {
		return m.LicenseKey
	}
	return ""
}

func (m *LicenseReply_KeyValidObject) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *LicenseReply_KeyValidObject) GetActiveTime() string {
	if m != nil {
		return m.ActiveTime
	}
	return ""
}

func (m *LicenseReply_KeyValidObject) GetValidation() bool {
	if m != nil {
		return m.Validation
	}
	return false
}

func (m *LicenseReply_KeyValidObject) GetRemainDay() int64 {
	if m != nil {
		return m.RemainDay
	}
	return 0
}

type KeepAliveControlRequest struct {
	Syn                  string   `protobuf:"bytes,1,opt,name=syn,proto3" json:"syn,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *KeepAliveControlRequest) Reset()         { *m = KeepAliveControlRequest{} }
func (m *KeepAliveControlRequest) String() string { return proto.CompactTextString(m) }
func (*KeepAliveControlRequest) ProtoMessage()    {}
func (*KeepAliveControlRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c5120591600887d, []int{4}
}

func (m *KeepAliveControlRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_KeepAliveControlRequest.Unmarshal(m, b)
}
func (m *KeepAliveControlRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_KeepAliveControlRequest.Marshal(b, m, deterministic)
}
func (m *KeepAliveControlRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_KeepAliveControlRequest.Merge(m, src)
}
func (m *KeepAliveControlRequest) XXX_Size() int {
	return xxx_messageInfo_KeepAliveControlRequest.Size(m)
}
func (m *KeepAliveControlRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_KeepAliveControlRequest.DiscardUnknown(m)
}

var xxx_messageInfo_KeepAliveControlRequest proto.InternalMessageInfo

func (m *KeepAliveControlRequest) GetSyn() string {
	if m != nil {
		return m.Syn
	}
	return ""
}

type KeepAliveControlReply struct {
	Ack                  string   `protobuf:"bytes,1,opt,name=ack,proto3" json:"ack,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *KeepAliveControlReply) Reset()         { *m = KeepAliveControlReply{} }
func (m *KeepAliveControlReply) String() string { return proto.CompactTextString(m) }
func (*KeepAliveControlReply) ProtoMessage()    {}
func (*KeepAliveControlReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c5120591600887d, []int{5}
}

func (m *KeepAliveControlReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_KeepAliveControlReply.Unmarshal(m, b)
}
func (m *KeepAliveControlReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_KeepAliveControlReply.Marshal(b, m, deterministic)
}
func (m *KeepAliveControlReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_KeepAliveControlReply.Merge(m, src)
}
func (m *KeepAliveControlReply) XXX_Size() int {
	return xxx_messageInfo_KeepAliveControlReply.Size(m)
}
func (m *KeepAliveControlReply) XXX_DiscardUnknown() {
	xxx_messageInfo_KeepAliveControlReply.DiscardUnknown(m)
}

var xxx_messageInfo_KeepAliveControlReply proto.InternalMessageInfo

func (m *KeepAliveControlReply) GetAck() string {
	if m != nil {
		return m.Ack
	}
	return ""
}

type RootRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RootRequest) Reset()         { *m = RootRequest{} }
func (m *RootRequest) String() string { return proto.CompactTextString(m) }
func (*RootRequest) ProtoMessage()    {}
func (*RootRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c5120591600887d, []int{6}
}

func (m *RootRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RootRequest.Unmarshal(m, b)
}
func (m *RootRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RootRequest.Marshal(b, m, deterministic)
}
func (m *RootRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RootRequest.Merge(m, src)
}
func (m *RootRequest) XXX_Size() int {
	return xxx_messageInfo_RootRequest.Size(m)
}
func (m *RootRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_RootRequest.DiscardUnknown(m)
}

var xxx_messageInfo_RootRequest proto.InternalMessageInfo

type RootReply struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RootReply) Reset()         { *m = RootReply{} }
func (m *RootReply) String() string { return proto.CompactTextString(m) }
func (*RootReply) ProtoMessage()    {}
func (*RootReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c5120591600887d, []int{7}
}

func (m *RootReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RootReply.Unmarshal(m, b)
}
func (m *RootReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RootReply.Marshal(b, m, deterministic)
}
func (m *RootReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RootReply.Merge(m, src)
}
func (m *RootReply) XXX_Size() int {
	return xxx_messageInfo_RootReply.Size(m)
}
func (m *RootReply) XXX_DiscardUnknown() {
	xxx_messageInfo_RootReply.DiscardUnknown(m)
}

var xxx_messageInfo_RootReply proto.InternalMessageInfo

func init() {
	proto.RegisterType((*ApiRequest)(nil), "pb.ApiRequest")
	proto.RegisterType((*ApiReply)(nil), "pb.ApiReply")
	proto.RegisterType((*LicenseRequest)(nil), "pb.LicenseRequest")
	proto.RegisterType((*LicenseRequest_UserInfoObject)(nil), "pb.LicenseRequest.UserInfoObject")
	proto.RegisterType((*LicenseReply)(nil), "pb.LicenseReply")
	proto.RegisterType((*LicenseReply_KeyValidObject)(nil), "pb.LicenseReply.KeyValidObject")
	proto.RegisterType((*KeepAliveControlRequest)(nil), "pb.KeepAliveControlRequest")
	proto.RegisterType((*KeepAliveControlReply)(nil), "pb.KeepAliveControlReply")
	proto.RegisterType((*RootRequest)(nil), "pb.RootRequest")
	proto.RegisterType((*RootReply)(nil), "pb.RootReply")
}

func init() { proto.RegisterFile("control.proto", fileDescriptor_0c5120591600887d) }

var fileDescriptor_0c5120591600887d = []byte{
	// 471 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x74, 0x53, 0xdb, 0xaa, 0xd3, 0x40,
	0x14, 0x25, 0x4d, 0x2f, 0xa7, 0xbb, 0x6d, 0x2c, 0x83, 0x97, 0x31, 0xa2, 0x27, 0x46, 0x38, 0x54,
	0x84, 0x08, 0x47, 0xfc, 0x80, 0xa2, 0x08, 0x5a, 0x41, 0x08, 0xea, 0x6b, 0x98, 0x26, 0x5b, 0x19,
	0x33, 0x49, 0xc6, 0xcc, 0xb4, 0x30, 0xbf, 0xe3, 0x9b, 0xdf, 0xe2, 0xa3, 0x3f, 0x24, 0x93, 0xa4,
	0xa7, 0x37, 0xcf, 0x5b, 0xd6, 0x9a, 0xb5, 0xf7, 0x5e, 0xfb, 0x12, 0x98, 0xa5, 0x55, 0xa9, 0xeb,
	0x4a, 0x44, 0xb2, 0xae, 0x74, 0x45, 0x7a, 0x72, 0x1d, 0x4e, 0x01, 0x96, 0x92, 0xc7, 0xf8, 0x73,
	0x83, 0x4a, 0x87, 0x00, 0x17, 0x0d, 0x92, 0xc2, 0x84, 0x7f, 0x1c, 0xf0, 0x3e, 0xf2, 0x14, 0x4b,
	0x85, 0xdd, 0x33, 0xa1, 0x30, 0x52, 0x58, 0x6f, 0x79, 0x8a, 0xb4, 0x17, 0x38, 0x8b, 0x71, 0xbc,
	0x83, 0xe4, 0x12, 0x26, 0xa2, 0xd5, 0x26, 0x39, 0x1a, 0xea, 0x36, 0xaf, 0xd0, 0x51, 0x2b, 0x34,
	0x56, 0x50, 0xb0, 0x34, 0x61, 0x59, 0x56, 0xa3, 0x52, 0xb4, 0x1f, 0xb8, 0x56, 0x50, 0xb0, 0x74,
	0xd9, 0x32, 0xe4, 0x35, 0xf4, 0x37, 0x0a, 0x6b, 0x3a, 0x08, 0x9c, 0xc5, 0xe4, 0xfa, 0x69, 0x24,
	0xd7, 0xd1, 0x71, 0xf5, 0xe8, 0x8b, 0xc2, 0xfa, 0x7d, 0xf9, 0xad, 0xfa, 0xb4, 0xfe, 0x81, 0xa9,
	0x8e, 0x1b, 0xb9, 0x7f, 0x05, 0xde, 0x31, 0x4f, 0xee, 0xc2, 0x00, 0x0b, 0xc6, 0x05, 0x75, 0x1a,
	0x13, 0x2d, 0x08, 0x7f, 0xf5, 0x60, 0x7a, 0x93, 0x4f, 0x0a, 0x43, 0xde, 0x81, 0x97, 0xa3, 0x49,
	0xb6, 0x4c, 0xf0, 0x8c, 0x69, 0x5e, 0x95, 0x14, 0x9a, 0xca, 0x97, 0x47, 0x95, 0xa5, 0x30, 0xd1,
	0x0a, 0xcd, 0x57, 0xab, 0xea, 0xea, 0xce, 0xf2, 0x0e, 0x37, 0x51, 0xe4, 0x09, 0x40, 0x8d, 0xdf,
	0xb9, 0xd2, 0x58, 0x63, 0x46, 0x27, 0x81, 0xb3, 0xb8, 0x88, 0x0f, 0x18, 0xff, 0xb7, 0x03, 0xde,
	0x71, 0x86, 0xd3, 0x61, 0x39, 0x67, 0xc3, 0xba, 0x0f, 0x43, 0xa5, 0x99, 0xde, 0xa8, 0x6e, 0x90,
	0x1d, 0xb2, 0x81, 0x2c, 0xd5, 0x7c, 0x8b, 0x89, 0xe6, 0x05, 0xd2, 0x7e, 0x1b, 0xd8, 0x52, 0x9f,
	0x79, 0x81, 0xd6, 0xcc, 0x41, 0x43, 0x83, 0xd6, 0xcc, 0x9e, 0x21, 0x8f, 0xad, 0xd9, 0x82, 0xf1,
	0x32, 0xc9, 0x98, 0xa1, 0xc3, 0xc0, 0x59, 0xb8, 0xf1, 0xb8, 0x65, 0xde, 0x32, 0x13, 0xbe, 0x80,
	0x07, 0x2b, 0x44, 0xb9, 0x14, 0x7c, 0x8b, 0x6f, 0xda, 0x53, 0xd9, 0xad, 0x7e, 0x0e, 0xae, 0x32,
	0x65, 0xe7, 0xd5, 0x7e, 0x86, 0xcf, 0xe1, 0xde, 0xb9, 0xd8, 0x4e, 0x76, 0x0e, 0x2e, 0x4b, 0xf3,
	0x9d, 0x94, 0xa5, 0x79, 0x38, 0x83, 0x49, 0x5c, 0x55, 0x7a, 0x77, 0x65, 0x13, 0x18, 0xb7, 0x50,
	0x0a, 0x73, 0xfd, 0xd7, 0x81, 0x51, 0x17, 0x4e, 0x9e, 0x81, 0xbb, 0x94, 0x9c, 0x78, 0x76, 0x05,
	0xfb, 0xab, 0xf4, 0xa7, 0x37, 0xd8, 0xa6, 0x7f, 0x09, 0xa3, 0x6e, 0x3d, 0x84, 0x9c, 0x5f, 0x89,
	0x3f, 0x3f, 0xdd, 0x1f, 0xf9, 0x00, 0xf3, 0x53, 0xa3, 0xe4, 0x91, 0x55, 0xdd, 0xd2, 0xab, 0xff,
	0xf0, 0xff, 0x8f, 0x36, 0xd7, 0x15, 0xf4, 0xad, 0x75, 0x72, 0xc7, 0x4a, 0x0e, 0x7a, 0xf2, 0x67,
	0x7b, 0x42, 0x0a, 0xb3, 0x1e, 0x36, 0x7f, 0xd8, 0xab, 0x7f, 0x01, 0x00, 0x00, 0xff, 0xff, 0xa0,
	0xa6, 0xd6, 0x72, 0x72, 0x03, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// ControlClient is the client API for Control service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type ControlClient interface {
	Api(ctx context.Context, in *ApiRequest, opts ...grpc.CallOption) (*ApiReply, error)
	License(ctx context.Context, in *LicenseRequest, opts ...grpc.CallOption) (*LicenseReply, error)
	KeepAliveControl(ctx context.Context, in *KeepAliveControlRequest, opts ...grpc.CallOption) (*KeepAliveControlReply, error)
	Root(ctx context.Context, in *RootRequest, opts ...grpc.CallOption) (*RootReply, error)
}

type controlClient struct {
	cc *grpc.ClientConn
}

func NewControlClient(cc *grpc.ClientConn) ControlClient {
	return &controlClient{cc}
}

func (c *controlClient) Api(ctx context.Context, in *ApiRequest, opts ...grpc.CallOption) (*ApiReply, error) {
	out := new(ApiReply)
	err := c.cc.Invoke(ctx, "/pb.Control/Api", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *controlClient) License(ctx context.Context, in *LicenseRequest, opts ...grpc.CallOption) (*LicenseReply, error) {
	out := new(LicenseReply)
	err := c.cc.Invoke(ctx, "/pb.Control/License", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *controlClient) KeepAliveControl(ctx context.Context, in *KeepAliveControlRequest, opts ...grpc.CallOption) (*KeepAliveControlReply, error) {
	out := new(KeepAliveControlReply)
	err := c.cc.Invoke(ctx, "/pb.Control/KeepAliveControl", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *controlClient) Root(ctx context.Context, in *RootRequest, opts ...grpc.CallOption) (*RootReply, error) {
	out := new(RootReply)
	err := c.cc.Invoke(ctx, "/pb.Control/Root", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ControlServer is the server API for Control service.
type ControlServer interface {
	Api(context.Context, *ApiRequest) (*ApiReply, error)
	License(context.Context, *LicenseRequest) (*LicenseReply, error)
	KeepAliveControl(context.Context, *KeepAliveControlRequest) (*KeepAliveControlReply, error)
	Root(context.Context, *RootRequest) (*RootReply, error)
}

// UnimplementedControlServer can be embedded to have forward compatible implementations.
type UnimplementedControlServer struct {
}

func (*UnimplementedControlServer) Api(ctx context.Context, req *ApiRequest) (*ApiReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Api not implemented")
}
func (*UnimplementedControlServer) License(ctx context.Context, req *LicenseRequest) (*LicenseReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method License not implemented")
}
func (*UnimplementedControlServer) KeepAliveControl(ctx context.Context, req *KeepAliveControlRequest) (*KeepAliveControlReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method KeepAliveControl not implemented")
}
func (*UnimplementedControlServer) Root(ctx context.Context, req *RootRequest) (*RootReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Root not implemented")
}

func RegisterControlServer(s *grpc.Server, srv ControlServer) {
	s.RegisterService(&_Control_serviceDesc, srv)
}

func _Control_Api_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ApiRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ControlServer).Api(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.Control/Api",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ControlServer).Api(ctx, req.(*ApiRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Control_License_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LicenseRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ControlServer).License(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.Control/License",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ControlServer).License(ctx, req.(*LicenseRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Control_KeepAliveControl_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(KeepAliveControlRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ControlServer).KeepAliveControl(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.Control/KeepAliveControl",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ControlServer).KeepAliveControl(ctx, req.(*KeepAliveControlRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Control_Root_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RootRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ControlServer).Root(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.Control/Root",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ControlServer).Root(ctx, req.(*RootRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Control_serviceDesc = grpc.ServiceDesc{
	ServiceName: "pb.Control",
	HandlerType: (*ControlServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Api",
			Handler:    _Control_Api_Handler,
		},
		{
			MethodName: "License",
			Handler:    _Control_License_Handler,
		},
		{
			MethodName: "KeepAliveControl",
			Handler:    _Control_KeepAliveControl_Handler,
		},
		{
			MethodName: "Root",
			Handler:    _Control_Root_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "control.proto",
}
